> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/27.-mutation-an-soildataset-angehangte-note-speichern.md).

# 27. Mutation: an „SoilDataset“ angehängte „Note“ speichern

Diese Mutation ermöglicht es Ihnen, eine Notiz an einen angegebenen Boden-Datensatz anzuhängen.

* Eine Notiz kann über ihre eindeutige Kennung mit dem Feld verknüpft werden `fieldUuid` und an den zugehörigen Boden-Datensatz über `soilDatasetUuid`.
* Die Koordinate der Notiz kann mit dem `centroid` Attribut gesetzt werden, welches definierte `latitude` und `longitude` Werte erfordert.&#x20;
* Der Typ der Notiz kann mit dem `Typ` Attribut angegeben werden, mit erlaubten Werten `PLANNED` oder `REAL`.&#x20;
* Die Beschreibung der Notiz kann mittels des `comment` Attributs bereitgestellt werden. Wenn die Beschreibung mehrzeilig sein muss, die `comment` Attribut eine Zeichenkette mit Zeilenumbruchzeichen enthalten `\\n` um Zeilen zu trennen. Zum Beispiel: `"Erste Zeile ist hier\\nZweite Zeile ist hier.\\nDritte Zeile ist hier."`.

Beispielanfragen finden Sie unten:

```graphql
Mutation SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Die Testnotiz, die an den Boden-Datensatz angehängt ist",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    Erstellungsdatum
    updatedDate
    Typ
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
Mutation SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Erste Zeile ist hier\\nZweite Zeile ist hier.\\nDritte Zeile ist hier.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    Erstellungsdatum
    updatedDate
    Typ
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/ubersicht-der-geopard-api-anfragen/notizen-pins/27.-mutation-an-soildataset-angehangte-note-speichern.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
